Package org.postgresql.jdbc

# Class ResultWrapper

java.lang.Object
org.postgresql.jdbc.ResultWrapper

public class ResultWrapper extends Object
Helper class that storing result info. This handles both the ResultSet and no-ResultSet result cases with a single interface for inspecting and stepping through them.

## Constructor Summary

Constructors
Constructor
Description
`ResultWrapper(long updateCount, long insertOID)`
`ResultWrapper(@Nullable ResultSet rs)`

## Method Summary

Modifier and Type
Method
Description
`void`
`append(ResultWrapper newResult)`
`long`
`getInsertOID()`
`@Nullable ResultWrapper`
`getNext()`
`@Nullable ResultSet`
`getResultSet()`
`long`
`getUpdateCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResultWrapper

public ResultWrapper(@Nullable ResultSet rs)

### ResultWrapper

public ResultWrapper(long updateCount, long insertOID)

## Method Details

### getResultSet

@Pure public @Nullable ResultSet getResultSet()

### getUpdateCount

public long getUpdateCount()

### getInsertOID

public long getInsertOID()

### getNext

public @Nullable ResultWrapper getNext()

### append

public void append(ResultWrapper newResult)